> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete data source



## OpenAPI

````yaml /api-specs/cloud/dmm.json delete /model-monitor/v2/api/datasource
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/datasource:
    summary: Create or delete a datasource.
    delete:
      tags:
        - DataSource
      summary: Delete data source
      operationId: deleteDataSource
      parameters:
        - in: query
          name: datasource_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dataSourceResponse'
          description: The data source object that was deleted.
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  schemas:
    dataSourceResponse:
      discriminator:
        mapping:
          azure_blob:
            $ref: '#/components/schemas/azureBlobResponse'
          azure_data_lake_gen_1:
            $ref: '#/components/schemas/azureDataLakeGen1Response'
          azure_data_lake_gen_2:
            $ref: '#/components/schemas/azureDataLakeGen2Response'
          generic_s3:
            $ref: '#/components/schemas/genericS3Response'
          google_cloud_storage:
            $ref: '#/components/schemas/googleCloudStorageResponse'
          hdfs:
            $ref: '#/components/schemas/hdfsResponse'
          nfs:
            $ref: '#/components/schemas/nfsResponse'
          s3:
            $ref: '#/components/schemas/s3Response'
          snowflake:
            $ref: '#/components/schemas/snowflakeResponse'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/s3Response'
        - $ref: '#/components/schemas/genericS3Response'
        - $ref: '#/components/schemas/azureBlobResponse'
        - $ref: '#/components/schemas/azureDataLakeGen2Response'
        - $ref: '#/components/schemas/googleCloudStorageResponse'
        - $ref: '#/components/schemas/azureDataLakeGen1Response'
        - $ref: '#/components/schemas/hdfsResponse'
        - $ref: '#/components/schemas/nfsResponse'
        - $ref: '#/components/schemas/snowflakeResponse'
    azureBlobResponse:
      allOf:
        - $ref: '#/components/schemas/dataSourceResponseCommon'
        - properties:
            config:
              description: Azure Blob Configuration options.
              properties:
                account:
                  description: Name of the Storage Account.
                  type: string
                container:
                  description: Name of the Container.
                  type: string
              required:
                - account
                - container
              type: object
          required:
            - config
          type: object
      description: Azure Blob response object.
      title: Azure Blob Response
    azureDataLakeGen1Response:
      allOf:
        - $ref: '#/components/schemas/dataSourceResponseCommon'
        - properties:
            config:
              $ref: '#/components/schemas/adls1ConfigResponse'
          required:
            - config
          type: object
      description: Azure Data Lake Gen 1 response object.
      title: Azure Data Lake Gen 1 Response
    azureDataLakeGen2Response:
      allOf:
        - $ref: '#/components/schemas/dataSourceResponseCommon'
        - properties:
            config:
              $ref: '#/components/schemas/adls2ConfigResponse'
          required:
            - config
          type: object
      description: Azure Data Lake Gen 2 response object.
      title: Azure Data Lake Gen 2 Response
    genericS3Response:
      allOf:
        - $ref: '#/components/schemas/dataSourceResponseCommon'
        - properties:
            config:
              description: Generic S3 Configuration options.
              properties:
                bucket:
                  description: Generic S3 bucket name.
                  type: string
                endpoint:
                  description: Generic S3 endpoint.
                  type: string
              required:
                - bucket
                - endpoint
              type: object
          required:
            - config
          type: object
      description: Generic S3 response object.
      title: Generic S3 Response
    googleCloudStorageResponse:
      allOf:
        - $ref: '#/components/schemas/dataSourceResponseCommon'
        - properties:
            config:
              description: Google Cloud Storage Configuration options.
              properties:
                bucket:
                  description: Name of the Bucket.
                  type: string
              required:
                - bucket
              type: object
          required:
            - config
          type: object
      description: Google Cloud Storage response object.
      title: Google Cloud Storage Response
    hdfsResponse:
      allOf:
        - $ref: '#/components/schemas/dataSourceResponseCommon'
        - properties:
            config:
              properties:
                host:
                  description: Host for the HDFS cluster
                  type: string
                port:
                  description: Port for the HDFS cluster
                  nullable: true
                  type: integer
              required:
                - host
              type: object
          required:
            - config
          type: object
      description: HDFS Data source response object.
      title: HDFS Data source Response
    nfsResponse:
      allOf:
        - $ref: '#/components/schemas/dataSourceResponseCommon'
        - properties:
            config:
              properties:
                path:
                  description: Path to access the NFS
                  type: string
              required:
                - path
              type: object
          required:
            - config
          type: object
      description: NFS Data source response object.
      title: NFS Data source Response
    s3Response:
      allOf:
        - $ref: '#/components/schemas/dataSourceResponseCommon'
        - properties:
            config:
              description: S3 Configuration options.
              properties:
                bucket:
                  description: Name of the S3 bucket.
                  type: string
                instance_role:
                  description: Whether to use the attached instance Role to fetch secrets.
                  type: boolean
                region:
                  description: Region for the S3 bucket.
                  type: string
              required:
                - bucket
                - region
                - instance_role
              type: object
          required:
            - config
          type: object
      description: S3 response object.
      title: S3 Response
    snowflakeResponse:
      allOf:
        - $ref: '#/components/schemas/dataSourceResponseCommon'
        - properties:
            config:
              description: Snowflake Configuration options.
              properties:
                database:
                  description: Snowflake database to use
                  type: string
                role:
                  description: Snowflake role
                  type: string
                schema:
                  description: Snowflake schema
                  type: string
                url:
                  description: Snowflake url
                  type: string
                warehouse:
                  description: Snowflake warehouse
                  type: string
              required:
                - url
                - database
                - schema
                - warehouse
                - role
              type: object
          required:
            - config
          type: object
      description: Snowflake response object.
      title: Snowflake Response
    dataSourceResponseCommon:
      description: Datasource response object.
      properties:
        created_at:
          description: Created time of the data source.
          type: number
        id:
          description: ID of the data source object.
          type: string
        name:
          description: Name of the data source.
          type: string
        type:
          description: Type of data source.
          type: string
        updated_at:
          description: Last updated time of the data source.
          type: number
        user_id:
          description: ID of the user who created the data source.
          type: string
        username:
          description: User who has created the data source.
          type: string
      required:
        - id
        - name
        - type
        - user_id
        - created_at
        - updated_at
      title: Data Source
      type: object
    adls1ConfigResponse:
      discriminator:
        mapping:
          client_credentials:
            $ref: '#/components/schemas/adls1ClientCredentialsConfigResponse'
          managed_identity:
            $ref: '#/components/schemas/adls1ManagedIdentityConfigResponse'
        propertyName: auth
      oneOf:
        - $ref: '#/components/schemas/adls1ClientCredentialsConfigResponse'
        - $ref: '#/components/schemas/adls1ManagedIdentityConfigResponse'
    adls2ConfigResponse:
      discriminator:
        mapping:
          client_credentials:
            $ref: '#/components/schemas/adls2OAuth2ConfigResponse'
          managed_identity:
            $ref: '#/components/schemas/adls2OAuth2ConfigResponse'
          refresh_token:
            $ref: '#/components/schemas/adls2OAuth2ConfigResponse'
          shared_key:
            $ref: '#/components/schemas/adls2SharedKeyConfigResponse'
          username_password:
            $ref: '#/components/schemas/adls2OAuth2ConfigResponse'
        propertyName: auth
      oneOf:
        - $ref: '#/components/schemas/adls2SharedKeyConfigResponse'
        - $ref: '#/components/schemas/adls2OAuth2ConfigResponse'
    adls1ClientCredentialsConfigResponse:
      allOf:
        - $ref: '#/components/schemas/adls1CommonConfigResponse'
        - properties:
            application_id:
              description: Application ID to be used for authentication.
              nullable: true
              type: string
            secret_key:
              description: Secret Key to be used for authentication.
              nullable: true
              type: string
            token_endpoint:
              description: Endpoint to be used for authentication.
              nullable: true
              type: string
          type: object
      description: Azure Data Lake Gen 1 Client Credentials Config Response Object.
      title: Azure Data Lake Gen 1 Client Credentials Config Response
    adls1ManagedIdentityConfigResponse:
      allOf:
        - $ref: '#/components/schemas/adls1CommonConfigResponse'
        - properties:
            port:
              description: Port to be used for authentication.
              nullable: true
              type: integer
          type: object
      description: Azure Data Lake Gen 1 Managed Identity Config Response Object.
      title: Azure Data Lake Gen 1 Managed Identity Config Response
    adls2OAuth2ConfigResponse:
      allOf:
        - $ref: '#/components/schemas/adls2CommonConfigResponse'
        - properties:
            o_auth2_config:
              description: OAuth 2 config object.
              type: object
          type: object
      description: Azure Data Lake Gen 2 OAuth2 Config Response Object.
      title: Azure Data Lake Gen 2 OAuth2 Config Response
    adls2SharedKeyConfigResponse:
      allOf:
        - $ref: '#/components/schemas/adls2CommonConfigResponse'
        - type: object
      description: Azure Data Lake Gen 2 Shared Key Config Response Object.
      title: Azure Data Lake Gen 2 Shared Key Config Response
    adls1CommonConfigResponse:
      description: Azure Data Lake Gen 1 Common Config Response Object.
      properties:
        auth:
          description: Azure Storage Auth Type.
          type: string
        container:
          description: Azure Storage container.
          type: string
      required:
        - container
        - auth
      title: Azure Data Lake Gen 1 Common Config Response
      type: object
    adls2CommonConfigResponse:
      description: Azure Data Lake Gen 2 Common Config Response Object.
      properties:
        account:
          description: Azure Storage Account.
          type: string
        auth:
          description: Azure Storage Auth Type.
          type: string
        container:
          description: Azure Storage container.
          type: string
      required:
        - container
        - account
        - auth
      title: Azure Data Lake Gen 2 Common Config Response
      type: object
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Monitor Data Source logs](/cloud/admin/operations/audit-logs/monitor-data-source-logs.md)
- [Audit Trail Data Glossary](/cloud/platform-capabilities/features/governance/audit-trail/audit-trail-glossary.md)
- [Use Data Sources](/cloud/platform-capabilities/core-concepts/data/data-source-connectors/use-data-sources.md)
- [Domino Data Sources](/cloud/platform-capabilities/core-concepts/data/data-source-connectors/index.md)
